API Guide Home (Online version only) |

# HsPhoneLibrary.h File Reference

## Detailed Description

Header File for Phone Library API ---- LIBRARY CATEGORY.

Notes: All implementations of the Handspring Phone Library support a common API. This API is broken up into various categories for easier management. This file defines the LIBRARY category. These API calls are used for basic Palm Library operation.

Definition in file HsPhoneLibrary.h.

Include dependency graph for HsPhoneLibrary.h:

Go to the source code of this file.

## Functions

- Err PhnLibOpen (UInt16 refNum)
    Open the phone library. Global space has been created on SysLibLoad already. This function just manages the openCount.
- Err PhnLibClose (UInt16 refNum)
    Closes up a phone library. This function does not free global space. It just manages the openCount.
- Err PhnLibSleep (UInt16 refNum)
    (For System Use Only)
- Err PhnLibWake (UInt16 refNum)
    (For System Use Only)
- Err PhnLibGetLibAPIVersion (UInt16 refNum, UInt32 *dwVerP)
    This function is used to indicate the version number of the current Phone Library.
- void PhnLibUninstall (UInt16 refNum)
    This is an unsupported function starting with Treo 600.
- Err PhnLibRegister (UInt16 refNum, DWord creator, UInt16 services)
    Register or unregister (when services == 0) an application so that notifications from the Phone Library (Chapter 13) can be broadcasted to registered applications.

## Function Documentation

Err PhnLibClose | ( | UInt16 | refNum | ) |

Closes up a phone library. This function does not free global space. It just manages the openCount.

Parameters:

  | refNum,: | IN: Library reference number returned by HsGetPhoneLibrary().

Return values:

  | Err | Error code.

Err PhnLibGetLibAPIVersion | ( | UInt16 | refNum,
|  | UInt32 * | dwVerP |
| ) |  |  |

This function is used to indicate the version number of the current Phone Library.

Parameters:

  | refNum,: | IN: Library reference number returned by HsGetPhoneLibrary().
  | dwVerP,: | IN: Version number

Return values:

  | Err | Error code.

Err PhnLibOpen | ( | UInt16 | refNum | ) |

Open the phone library. Global space has been created on SysLibLoad already. This function just manages the openCount.

Parameters:

  | refNum,: | IN: Library reference number returned by HsGetPhoneLibrary().

Return values:

  | Err | Error code.

Err PhnLibRegister | ( | UInt16 | refNum,
|  | DWord | creator,
|  | UInt16 | services |
| ) |  |  |

Register or unregister (when services == 0) an application so that notifications from the Phone Library (Chapter 13) can be broadcasted to registered applications.

Parameters:

  | refNum,: | IN: Library reference number obtained from SysLibLoad.
  | creator,: | IN: Creator ID of application registering for notifications
  | services,: | IN: Bitfield of services for which notifications are desired. See PhnServiceClassType for bit definitions. Register with a value of 0 to unregister for notifications.

Return values:

  | 0 | for success; otherwise failed

Err PhnLibSleep | ( | UInt16 | refNum | ) |

(For System Use Only)

Parameters:

  | refNum,: | IN:

Return values:

  | Err | Error code.

void PhnLibUninstall | ( | UInt16 | refNum | ) |

This is an unsupported function starting with Treo 600.

Parameters:

  | refNum,: | IN: Library reference number returned by HsGetPhoneLibrary().

Return values:

  | Nothing |

Err PhnLibWake | ( | UInt16 | refNum | ) |

(For System Use Only)

Parameters:

  | refNum,: | IN:

Return values:

  | Err | Error code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:07:20 2008 for Palm API Guide